Package org.pushingpixels.substance.internal.animation

# Class StateTransitionEvent

java.lang.Object
java.util.EventObject
org.pushingpixels.substance.internal.animation.StateTransitionEvent

All Implemented Interfaces:
  `Serializable`

public class StateTransitionEvent extends EventObject

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`StateTransitionEvent(Object source, org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState)`

## Method Summary

Modifier and Type
Method
Description
`org.pushingpixels.trident.Timeline.TimelineState`
`getNewState()`
`org.pushingpixels.trident.Timeline.TimelineState`
`getOldState()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StateTransitionEvent

public StateTransitionEvent(Object source, org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState)

## Method Details

### getOldState

public org.pushingpixels.trident.Timeline.TimelineState getOldState()

### getNewState

public org.pushingpixels.trident.Timeline.TimelineState getNewState()